
## Getting Started

These instructions will guide you through setting up and running the project on your local machine for development and testing purposes.

### Prerequisites

Make sure you have the following software installed on your system:
- [Conda](https://docs.conda.io/projects/conda/en/latest/user-guide/install/index.html)
- [Python 3.8](https://www.python.org/downloads/release/python-380/)

### Installation

1. **Create a Conda Environment**

   Open your terminal and create a new Conda environment named `demo12.3` with Python 3.8:
   ```bash
   conda create -n demo12.3 python=3.8
2. **Activate the Conda Environment**
   ```bash
   conda activate demo12.3
3. **Install Dependencies**
   ```bash
   pip install -r requirements.txt
4. **Download the Pre-trained Model**
    ```bash
    bash models/download.sh
5. **Download the dataset**
    ```bash
    python data/webvid/download.py
6. **Run the Training**
    ```bash
    bash job.sh